Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# Intrepid Control Systems neoVI

Note

This `ICS neoVI` documentation is a work in progress. Feedback and revisions are most welcome!

Interface to Intrepid Control Systems neoVI API range of devices via python-ics wrapper on Windows.

## Installation

This neoVI interface requires the installation of the ICS neoVI DLL and `python-ics` package.

- Download and install the Intrepid Product Drivers

    Intrepid Product Drivers

- Install `python-can` with the `neovi` extras:

        pip install python-can[neovi]

## Configuration

An example can.ini file for windows 7:

    [default]
    interface = neovi
    channel = 1

## Bus

class can.interfaces.ics_neovi.NeoViBus(channel, can_filters=None, **kwargs)

  The CAN Bus implemented for the python_ics interface https://github.com/intrepidcs/python_ics

  Parameters:

    - channel (int or str or list(int) or list(str)) – The channel ids to create this bus with. Can also be a single integer, netid name or a comma separated string.

    - can_filters (list) – See `can.BusABC.set_filters()` for details.

    - receive_own_messages (bool) – If transmitted messages should also be received by this bus.

    - use_system_timestamp (bool) – Use system timestamp for can messages instead of the hardware time stamp

    - serial (str) – Serial to connect (optional, will use the first found if not supplied)

    - bitrate (int) – Channel bitrate in bit/s. (optional, will enable the auto bitrate feature if not supplied)

    - fd (bool) – If CAN-FD frames should be supported.

    - data_bitrate (int) – Which bitrate to use for data phase in CAN FD. Defaults to arbitration bitrate.

    - override_library_name – Absolute path or relative path to the library including filename.

  Raises:

    - ImportError – If python-ics is not available

    - CanInitializationError – If the bus could not be set up. May or may not be a `ICSInitializationError`.

exception can.interfaces.ics_neovi.ICSApiError(error_code, description_short, description_long, severity, restart_needed)

  Indicates an error with the ICS API.

  Parameters:

    - error_code (int) –

    - description_short (str) –

    - description_long (str) –

    - severity (int) –

    - restart_needed (int) –

exception can.interfaces.ics_neovi.ICSInitializationError(error_code, description_short, description_long, severity, restart_needed)
  Parameters:

    - error_code (int) –

    - description_short (str) –

    - description_long (str) –

    - severity (int) –

    - restart_needed (int) –

exception can.interfaces.ics_neovi.ICSOperationError(error_code, description_short, description_long, severity, restart_needed)
  Parameters:

    - error_code (int) –

    - description_short (str) –

    - description_long (str) –

    - severity (int) –

    - restart_needed (int) –